import path_setting
from in_common.base_request import BaseRequest


class topicreply_vote_request(BaseRequest):
    def __init__(self):
        self.data = self.api_load(path_setting.TOPIC_REPLY_VOTE_CONFIG)

    def topic_reply_vote(self, id):
        self.params["id"] = id
        return self.api_send(self.data["topic_reply_vote"])

    def topic_reply_canclevote(self, id):
        self.params["id"] = id
        return self.api_send(self.data["topic_reply_canclevote"])

    # 进入日记贴详情页-用来判断这篇日记贴点赞过没
    # def diary_detail(self, topic_id):
    #     self.params["topic_id"] = topic_id
    #     return self.api_send(self.data["detail"])

    # def diary_test(self):
    #     return self.api_send(self.data["detail"])



# if __name__ == '__main__':
#     r = diary_vote_request.diary_detail(21249959)
#     print(r)






